Overview | Modules | Class Hierarchy | Classes | Members

# tlp::ConcatIterator< itType > Struct Template Reference

`#include <ConcatIterator.h>`

Inherits tlp::Iterator< itType >< itType >.

Inheritance diagram for tlp::ConcatIterator< itType >:

[legend]
Collaboration diagram for tlp::ConcatIterator< itType >:

[legend]
List of all members.

### template<class itType>
struct tlp::ConcatIterator< itType >

## Public Member Functions

- ConcatIterator (Iterator< itType > *itOne, Iterator< itType > *itTwo)
- ~ConcatIterator ()
- itType next ()
    Return the next element.
- bool hasNext ()
    Return true if it exist a next element.

## Constructor & Destructor Documentation

template<class itType>
tlp::ConcatIterator< itType >::ConcatIterator | ( | Iterator< itType > * | itOne,
|  | Iterator< itType > * | itTwo
| ) | `[inline]`

template<class itType>
tlp::ConcatIterator< itType >::~ConcatIterator | ( |  | ) | `[inline]`

## Member Function Documentation

template<class itType>
bool tlp::ConcatIterator< itType >::hasNext | ( |  | ) | `[inline, virtual]`

| Return true if it exist a next element. Implements tlp::Iterator< itType >.

template<class itType>
itType tlp::ConcatIterator< itType >::next | ( |  | ) | `[inline, virtual]`

| Return the next element. Implements tlp::Iterator< itType >.

Tulip Software by LaBRI Visualization Team 2001 - 2010